<template>
    <div class="container">
        <div class="top">
            <div class="right" :style="{width:isLeft?'246px':'1158px'}">
                <div class="pageTitle">
                    订单信息
                </div>
                <div class="order-item">
                    <div class="title">收货地址</div>
                </div>
            </div>
        </div>
    </div>
</template>
<script>
import formValidator from '../formValidator'

import orderStep from '../pagesPre/OrderStep'
export default {
    created() {
        this.$http.get({
            url: '/userOrder/getOne',
            data: {
                id: this.$route.query.orderId
            }
        }).then(res => {
            if (res.success) {
                this.orderInfo = res.data
                this.productInfo = res.data.productInfo
            }
        }).catch(e => {
            console.log(e)

        })


    },
    data() {
        return {
            isLeft: false,
            orderInfo: {},
            productInfo: {}
        }
    },
    methods: {

    },
    components: {
        orderStep
    }
}
</script>
<style lang="less" scoped>
.container {
    width: 1190px;

    .right {
        min-height: 383px;
        padding: 15px;
        background-color: #fff;
        border: 1px solid rgba(234, 234, 234, 1);
    }

    .pageTitle {
        font-weight: bold;
        color: rgba(51, 51, 51, 1);
        line-height: 19px;
        padding-bottom: 15px;
    }
}
</style>
